%global modname phyghtmap

Name:           python-phyghtmap
Version:        1.47
Release:        1%{?dist}
Summary:        Generate OSM contour lines from NASA SRTM data
Group:          Applications/Engineering
License:        GPLv2+
URL:            http://katze.tfiu.de/projects/phyghtmap/
Source0:        http://katze.tfiu.de/projects/%{modname}/%{modname}_%{version}.orig.tar.gz
BuildArch:      noarch

# Doesn't work with Python 3
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       numpy
Requires:       python-BeautifulSoup
Requires:       python-matplotlib

%description
%{modname} is a little program which lets you easily generate OSM contour
lines from NASA SRTM data.


%prep
%setup -q -n %{modname}-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}
install -Dpm 644 docs/%{modname}.1 %{buildroot}%{_mandir}/man1/%{modname}.1


%files
%doc README LICENSE_GPL-2 COPYRIGHT Changelog
%{_bindir}/%{modname}
%{_mandir}/man1/%{modname}.1*
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}-py*.egg-info/

%changelog
* Wed Oct  2 2013 Volker Fröhlich <volker27@gmx.at> - 1.47-1
- New upstream release

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.45-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun  2 2013 Volker Fröhlich <volker27@gmx.at> - 1.45-2
- BR python2-devel instead of python-devel
- BR python-setuptools instead of ...-devel
- Change group to Applications/Engineering

* Sun May 26 2013 Volker Fröhlich <volker27@gmx.at> - 1.45-1
- Initial package for Fedora
